Bug 72499 - gcc Internal compiler error in verify_local_live_at_start
gcc Internal compiler error in verify_local_live_at_start
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 13:28 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 12:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed C source to trigger gcc optimzation bug (379.87 KB, text/plain)
2002-08-24 13:30 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-08-24 13:28:46 EDT
Description of Problem: 
 
Compilation of attached file with certain optimization flags causes this 
internal compiler error: 
 
/home/ned/Squeak/Squeak-3.2-5devel/src/vm/intplugins/B2DPlugin/B2DPlugin.c: In 
function `loadArrayTransformFromintolength': 
/home/ned/Squeak/Squeak-3.2-5devel/src/vm/intplugins/B2DPlugin/B2DPlugin.c:9806: 
Internal compiler error in verify_local_live_at_start, at flow.c:583 
 
gcc-3.2-1.  
 
How Reproducible:  
 
Always. 
 
Steps to Reproduce:  
1. Compile attached source with this command line:  
  
gcc -fexpensive-optimizations -funroll-loops -falign-functions=4 -O3  
-march=athlon -mcpu=athlon -fschedule-insns2 -fno-gcse -c B2DPlugin.c -o xx.o  
  
  
Actual Results:  
 
 Above compiler error is given; gcc quits. 
  
Expected Results:  
 
 file is compiled. 
 
Additional Information:  
	 see attached C file.
Comment 1 Need Real Name 2002-08-24 13:30:34 EDT
Created attachment 72765 [details]
Preprocessed C source to trigger gcc optimzation bug
Comment 2 Need Real Name 2002-08-24 13:33:50 EDT
This bug is also triggered with the simpler command line: 
 
gcc -O3 -fno-gcse -c B2DPlugin.c -o xx.o 
Comment 3 Vladimir Makarov 2004-10-01 12:23:21 EDT
I've just checked the current state of redhat branch of gcc-3.2
(gcc-3_2-rhl8-branch).  The bug was gone (I've used two option
combinations mentioned by the customer).  So I am closing the bug.

Note You need to log in before you can comment on or make changes to this bug.